<p align="center">
  <a href="https://github.com/nhost/hasura-backend-plus">
    <img src="docs/.vuepress/public/logo.png" width="150px" alt="HBP" />
  </a>
</p>
<h1 align="center">Hasura Backend Plus (HBP)</h1>
<h2 align="center">Authentication & Storage for Hasura</h2>

<p align="center">
  <img src="https://img.shields.io/badge/version-2.2.1-blue.svg?cacheSeconds=2592000" />
  <a href="LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-yellow.svg" alt="license: MIT" />
  </a>
  <a href="https://commitizen.github.io/cz-cli">
    <img src="https://img.shields.io/badge/commitizen-friendly-brightgreen.svg" alt="commitizen: friendly" />
  </a>
  <a href="https://prettier.io">
    <img src="https://img.shields.io/badge/code_style-prettier-ff69b4.svg" alt="code style: prettier" />
  </a>
  <a href="https://github.com/nhost/hasura-backend-plus/actions?query=workflow%Build+branch%3Amaster+event%3Apush">
    <img src="https://github.com/nhost/hasura-backend-plus/workflows/Build/badge.svg?branch=master"/>
  </a>
  <a href="https://codecov.io/gh/nhost/hasura-backend-plus/branch/master">
    <img src="https://codecov.io/gh/nhost/hasura-backend-plus/branch/master/graph/badge.svg"
    />
  </a>
</p>

For detailed usage and installation instructions check out the [documentation](https://nhost.github.io/hasura-backend-plus/).

---

## Core Features:

- 🎨 Fully customizable with sensible defaults.
- 🚀 Easy to setup, can be deployed anywhere.
- 🔑 Two-factor authentication support.
- 🔑 Third-party OAuth providers: Google, GitHub, Facebook, Apple, Twitter, Microsoft Live, Linkedin, Spotify.
- 📁 Highly customisable storage rules on any S3-compatible instance.
- 📨 Optional email account verification.
- 📨 Secure email and password change.
- 🔑 JWKS endpoint.
- ✅ Optional checking for [Pwned Passwords](https://haveibeenpwned.com/Passwords).
- 📈 Rate limiting.
- 👨‍💻 Written 100% in [TypeScript](https://www.typescriptlang.org).

## Nhost

The easiest way to deploy HBP is with our official [Nhost](https://nhost.io) managed service. Get your perfectly configured backend with PostgreSQL, Hasura and Hasura Backend Plus and save yourself hours of maintenance per month.

All [Nhost](https://nhost.io) projects are built on open source software so you can make real-time web and mobile apps fast 🚀.

<a href="https://nhost.io/register">
  <img
    src="docs/.vuepress/public/nhost-register-button.png"
    width="200px"
  />
</a>

## 🤝 Contributing

Contributions, issues and feature requests are welcome!

Feel free to check the [issues page](https://github.com/nhost/hasura-backend-plus/issues).

## Show your support

Give a ⭐️ if this project helped you!

## 📝 License

This project is [MIT](LICENSE) licensed.
